//
//  KSEpisodeTorrentUpload.h
//  kinescopeClient
//
//  Created by Douglas Welton on 7/25/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "KSTransCreationManager.h"
#import "KSBackgroundTask.h"

enum uploadStatusType
        {
          kTSAborted = 0,
          kTSCompleted = 1,
		  kTSFailed = 2,
		  kTSInProcess = 3
		  };

@interface KSEpisodeTorrentUpload : KSBackgroundTask 
{
	KSTransCreationManager			*torrentCreationManager;
	
	BOOL							 uploadAborted;
	
	NSMutableDictionary				*webServiceParameters;
	NSArray							*selectedOwnedFeeds;
	}

- (id) initWithTitle: (NSString *)title;

- (void) setTorrentCreationManager: (KSTransCreationManager *)newValue;
- (KSTransCreationManager *) torrentCreationManager;
	
- (void) setUploadAborted: (BOOL)newValue;
- (BOOL) uploadAborted;
	
- (void) setWebServiceParameters: (NSDictionary *)newValue;
- (NSDictionary *) webServiceParameters;
	
- (void) setSelectedOwnedFeeds: (NSArray *)newValue;
- (NSArray *) selectedOwnedFeeds;

- (void) torrentCreationSucceeded: (KSTransCreationManager *)manager torrentData: (NSData *)torrentData torrentPath:(NSString*)torrentPath;
- (void) torrentCreationFailed: (KSTransCreationManager *)manager;
- (void) torrentCreationManager: (KSTransCreationManager *)manager updatedPercentDone: (NSNumber *)percentDone;

@end
